Bug 811365 - [RFE] New version of keychain (2.7.1)
[RFE] New version of keychain (2.7.1)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: keychain (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
http://ftp.osuosl.org/pub/funtoo/dist...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 15:58 EDT by Brice Lilot
Modified: 2015-08-26 12:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.8.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-04 16:09:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SRPM of the new release (59.56 KB, application/octet-stream)
2012-04-10 15:58 EDT, Brice Lilot
no flags Details
Spec file of the new release (4.72 KB, text/plain)
2012-04-10 15:59 EDT, Brice Lilot
no flags Details
Own repository (45 bytes, text/plain)
2012-04-10 16:37 EDT, Brice Lilot
no flags Details

  None (edit)
Description Brice Lilot 2012-04-10 15:58:06 EDT
Created attachment 576578 [details]
SRPM of the new release

Description of problem:

A new version of keychain has been released since a while.

Available here: http://ftp.osuosl.org/pub/funtoo/distfiles/keychain/

Additional info:

I have built the new spec file for this release.

Name:		keychain
Summary:	Agent manager for OpenSSH, ssh.com, Sun SSH, and GnuPG
Version:	2.7.1
Release:	1%{?dist}
License:	GPLv2
Group:		Applications/Internet
URL:		http://ftp.osuosl.org/pub/funtoo/distfiles/keychain/
Source0:	http://ftp.osuosl.org/pub/funtoo/distfiles/keychain/%{name}-%{version}.tar.bz2
Source1:	keychain.sh
Source2:	keychain.csh
Source3:	README.Fedora
#Patch0:		keychain-manpage.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=486025
#Patch1:		keychain-2.6.8-gpg-agent-envfile.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# https://bugzilla.redhat.com/show_bug.cgi?id=486025
#Conflicts:	kde-settings < 4.2-3
# https://bugzilla.redhat.com/show_bug.cgi?id=314431
#Conflicts:	zsh < 4.3.4-7

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
sed -i -e 's|/usr/ucb:||' keychain

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 755 keychain %{buildroot}%{_bindir}/keychain
install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/keychain.sh
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/keychain.csh
install -pm 644 keychain.1 %{buildroot}%{_mandir}/man1
install -pm 644 %{SOURCE3} README.Fedora

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
#%doc COPYING ChangeLog README README.Fedora
#%doc ChangeLog README.Fedora
%config(noreplace) %{_sysconfdir}/profile.d/keychain.sh
%config(noreplace) %{_sysconfdir}/profile.d/keychain.csh
%{_bindir}/keychain
%{_mandir}/man1/keychain.1*

%changelog
* Tue Apr 10 2012 Brice Lilot <Brice {_} Lilot {at} visualstation {*} be> - 2.7.1-1
- 2.7.1-1
- New release

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  2 2009 Ville Skyttä <ville.skytta at iki.fi> - 2.6.8-6
- Write ~/.gpg-agent-info when launching gpg-agent for better compatibility
  with other things using it, e.g. KDE 4 (#486025).
- Drop no longer needed zsh special case which caused issues with ksh from
  profile.d script (#314431).

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Ville Skyttä <ville.skytta at iki.fi> - 2.6.8-4
- Don't override/unset $HOST or $USERHOME in profile.d snippets (#463913).

* Sun Apr  6 2008 Ville Skyttä <ville.skytta at iki.fi> - 2.6.8-3
- Make profile.d sh snippet check if it has already run (skip if yes),
  and avoid polluting the shell with its internal variables.
- License: GPLv2.
- Update URLs.

* Sat Nov 04 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 2.6.8-2
- Fix #212190.

* Sat Nov 04 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 2.6.8-1
- Update to 2.6.8.

* Fri Sep 01 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 2.6.2-1
- Update to 2.6.2.

* Tue Aug 29 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 2.6.1-2
- Rebuild for FC6.

* Sat Nov 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.6.1-1
- Update to 2.6.1.
- Invoke keychain with --noask in opt-in scripts in non-interactive shells
  to fix scp'ing to an opt-in enabled account for which keychain hasn't run.
- Make opt-in config work the same way with zsh as with other shells.
- Replace tweaks in manpage patch with more generic instructions.
- Make profile.d snippets non-executable (#35714).
- Preserve timestamps of installed files, other cosmetics.

* Tue Aug 16 2005  Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.5-2
- Added test for homedir mismatch in opt-in scripts, covering
  `sudo -s' (reported by Ville Skyttä).

* Fri Aug 05 2005  Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.5-1
- Updated to new upstream version
- Removed keychain.pod from %%doc.

* Wed Jul 27 2005 Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.4.1-2
- Added manpage patch and %%prep removal of non existing path
  (thanks Ville Skyttä)
- Added opt-in mechanism through profile.d scripts for all
  login shells Fedora ships.

* Sun Jul 10 2005 Alexander Dalloz <alex {%} dalloz {*} de> - 2.5.4.1-1
- Initial build, based on upstream .spec by Aron Griffis.
Comment 1 Brice Lilot 2012-04-10 15:59:18 EDT
Created attachment 576579 [details]
Spec file of the new release
Comment 2 Brice Lilot 2012-04-10 16:37:19 EDT
Created attachment 576595 [details]
Own repository
Comment 3 Thomas Spura 2012-04-14 13:02:21 EDT
You are simply ignoring all current patches.
Are you sure, that it will still work for KDE users?

Does the new version fix a bug for you?

I have tried to upstream a few changes, but without success.

A better URL would be:
http://www.funtoo.org/wiki/Keychain
Comment 4 Brice Lilot 2012-04-14 13:30:34 EDT
I have tested  successfully the package on Gnome 3.x, Openbox and XFCE.

But it is true, I did not test it with KDE.

I will test it.
Comment 5 Ben Boeckel 2012-12-19 13:07:25 EST
Ping? Also, this should be marked as a duplicate of Bug #531382 (or vice versa).
Comment 6 Fedora End Of Life 2013-01-16 05:09:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 03:29:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Ben Boeckel 2013-07-29 21:23:21 EDT
Still open for Rawhide. FWIW, there may be a new release out soon (some branches just got merged on github today).
Comment 9 Ben Boeckel 2013-07-29 21:25:25 EDT
Marking as an RFE to avoid getting bumped from Rawhide.
Comment 10 Brice Lilot 2013-08-14 15:07:00 EDT
The bug https://bugzilla.redhat.com/show_bug.cgi?id=314431 is not present anymore on the keychain.sh. The script has been completely rebuilt from scratch.

And the bug/patch regarding the manpage could be removed.

So, the only patch that should be tested is regarding KDE.
Comment 11 ojab 2013-09-05 16:54:02 EDT
oh hai! What should be done to get in into the repo?
Comment 12 Brice Lilot 2013-12-21 15:26:08 EST
Name:      keychain
Version:   2.7.1
Release:   1
Summary:   agent manager for OpenSSH, ssh.com, Sun SSH, and GnuPG
Packager:  Daniel Robbins <drobbins@funtoo.org>
URL:       http://www.funtoo.org 
Source0:   %{name}-%{version}.tar.bz2
License:   GPL v2
Group:     Applications/Internet
BuildArch: noarch
Requires:  /bin/sh sh-utils
Prefix:    /usr/bin
BuildRoot: %{_tmppath}/%{name}-root

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This reduces the number of times you need to enter your passphrase
from once per new login session to once every time your local machine
is rebooted.

%prep
%setup -q

%build

%install
[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_mandir}/man1
install -m0755 keychain $RPM_BUILD_ROOT/%{_bindir}/keychain
install -m0644 keychain.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
     %{_bindir}/*
%doc %{_mandir}/*/*
%doc ChangeLog COPYING.txt keychain.pod README.rst
Comment 13 Brice Lilot 2013-12-21 15:28:41 EST
With this SPEC file, the last version of keychain works without any issue on:
Fedora 19/20

With following env.:
Gnome 3.x
KDE 4.x
OpenBox
Comment 14 Ben Boeckel 2014-03-03 15:06:13 EST
Ping?
Comment 15 Alexander Dalloz 2014-03-05 07:33:54 EST
Hi,

I'll check how to proceed based on the comments and the upstream status. Just busy these days with CeBIT booth preparations.

Anyone of you a proven packager and volunteering for co-maintenance?
Comment 16 Brice Lilot 2014-03-06 19:05:28 EST
I could be interested to maintain the package.
Comment 17 Fedora Update System 2015-05-27 14:00:50 EDT
keychain-2.8.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/keychain-2.8.0-1.fc22
Comment 18 Fedora Update System 2015-05-27 14:01:08 EDT
keychain-2.8.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/keychain-2.8.0-1.fc21
Comment 19 Ben Boeckel 2015-05-27 15:43:23 EDT
Thanks!
Comment 20 Fedora Update System 2015-05-30 11:51:14 EDT
Package keychain-2.8.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing keychain-2.8.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9169/keychain-2.8.0-1.fc22
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2015-06-04 16:09:21 EDT
keychain-2.8.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-08-26 12:49:49 EDT
keychain-2.8.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.